<?php

/**
 * UnixGroup form.
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 */
class UnixGroupForm extends BaseUnixGroupForm
{
  public function configure()
  {
    $this->setValidators(array(
      'id'  => new sfValidatorInteger(array('required' => false)),
      'name'  => new sfValidatorRegex(array('pattern' => '/^[a-zA-Z][a-zA-Z0-9_-]*$/'),
                                      array('invalid' => 'Format incorrect',
                                            'required' => 'Champ est obligatoire')),
      'gid'    => new sfValidatorInteger(array('required' => true),
                                      array('required' => 'Champ est obligatoire')),
    ));
  }
}
