<?php

/**
 * GroupMachine form base class.
 *
 * @method GroupMachine getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 */
abstract class BaseGroupMachineForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'unix_group_id' => new sfWidgetFormInputHidden(),
      'machine_id'    => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'unix_group_id' => new sfValidatorPropelChoice(array('model' => 'UnixGroup', 'column' => 'id', 'required' => false)),
      'machine_id'    => new sfValidatorPropelChoice(array('model' => 'Machine', 'column' => 'id', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('group_machine[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GroupMachine';
  }


}
