<?php

/**
 * UserGroup form base class.
 *
 * @method UserGroup getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 */
abstract class BaseUserGroupForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'unix_user_id'  => new sfWidgetFormInputHidden(),
      'unix_group_id' => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'unix_user_id'  => new sfValidatorPropelChoice(array('model' => 'UnixUser', 'column' => 'id', 'required' => false)),
      'unix_group_id' => new sfValidatorPropelChoice(array('model' => 'UnixGroup', 'column' => 'id', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('user_group[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'UserGroup';
  }


}
